<template>
    <div
        class="page-container"
    >
        <div class="admin-top">
            <span>
                Dashboard
            </span>
        </div>
        <div :class="{'loading-md': loading}">
            <div
                v-if="data"
                class="row"
            >
                <div class="col-xl-4 col-lg-6 col-md-12">
                    <div class="widget">
                        <div class="title">
                            <i class="fa fa-shopping-cart my-icon" />
                            Shops
                        </div>
                        <div class="widget__content">
                            <div class="widget__sales">
                                Total
                                <span class="cart-sales">{{ data.shops_count }}</span>
                            </div>
                            <div class="widget__sent">
                                Active
                                <span class="cart-sent">{{ data.active_shops_count }}</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-6 col-md-12">
                    <div class="widget">
                        <div class="title">
                            <i class="fa fa-user-o my-icon" />
                            Subscribers
                        </div>
                        <div class="widget__content">
                            <div class="widget__sales">
                                Total
                                <span class="cart-sales">total</span>
                            </div>
                            <div class="widget__sent">
                                SMS / Email
                                <span class="cart-sent"> {{ data.sms_subscriber }} / {{ data.email_subscriber }}</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-6 col-md-12">
                    <div class="widget">
                        <div class="title">
                            <i class="fa fa-check-square-o my-icon" />
                            Pre-checked checkbox
                        </div>
                        <div class="widget__content">
                            <div class="widget__sent">
                                Pending
                                <span class="cart-sent">13</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-6 col-md-12">
                    <div class="widget">
                        <div class="title">
                            <i class="fa fa-hourglass-start my-icon" />
                            Shops that now have trial
                        </div>
                        <div class="widget__content">
                            <div class="widget__sales">
                                App Installed
                                <span class="cart-sales">
                                    {{ data.trial_app_inst }}
                                    <router-link to="">view detail</router-link>
                                </span>
                            </div>
                            <div class="widget__sent">
                                App Not Installed
                                <span class="cart-sent">{{ data.trial_app_not_inst }}</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-6 col-md-12">
                    <div class="widget">
                        <div class="title">
                            <i class="fa fa-flag my-icon" />
                            Shops after trial
                        </div>
                        <div class="widget__content">
                            <div class="widget__sales">
                                Charge Approved
                                <span class="cart-sales">
                                    {{ data.aft_trial_charge_approved }}
                                    <router-link to="">view detail</router-link>
                                </span>
                            </div>
                            <div class="widget__sent">
                                Not Approved
                                <span class="cart-sent">
                                    {{ data.aft_trial_charge_not_approved }}
                                    <router-link to="">view detail</router-link>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import dashboard from '@/mixins/admin/dashboard.service'
import {mapMutations, mapState} from 'vuex'

export default {
    name: "AdminDashboard",
    mixins: [dashboard],
    data() {
        return {
            data: null,
            loading: true,
        }
    },
    computed: {
        ...mapState(['platform'])
    },
    created() {
        this.selected = this.platform
        this.loadData()
    },
    methods: {
        async loadData() {
            if(!this.loading) this.loading = true
            await this.getDashboard().then(response => {
                this.data = response.data
                this.loading = false
            }).catch(err => {
                console.log(err)
                this.loading = false
            })
        },
    }
}
</script>

<style scoped lang="scss">
@import "resources/css/colors";

.admin-top {
    font-size: 28px;
    color: $blue-color;
    margin-bottom: 15px;
    display: flex;
    justify-content: space-between;
    select {
        width: 200px;
        padding: 4px 12px;
    }
    @media(max-width: 525px) {
        flex-direction: column;
    }
}
.page-container {
    padding-top: 40px;
    @media(max-width: 770px) {
        padding-top: 80px;
    }
}

.my-icon {
    color: $blue-color;
    margin-right: 5px;
}

.widget {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #fff;
    padding: 30px 35px;
    margin-bottom: 12px;
    height: 166px;
    border-radius: 4px;
    &__content {
        width: 100%;
        display: flex;
        justify-content: flex-end;
        font-size: 13px;
        font-weight: 400;
    }
    &__sent, &__sales {
        width: 50%;
        span {
             display: block;
            font-size: 18px;
            font-weight: 900;
            margin-top: 5px;
        }
        a {
            font-size: 13px;
            font-weight: 400;
        }
    }
    &__sent {
        text-align: right;
    }
}

a  {
    &:focus, &:hover {
        color: #23527c;
        text-decoration: underline;
    } 
}
</style>
